package jp.sourceforge.cfneo.at4ie.api;

/**
 * テスト時の為の例外。
 * @author imaitakafumi
 * 
 */
public class AT4IEAssertException extends AT4IERuntimeException {

	private static final long serialVersionUID = 1L;

	private String expected;
	private String actual;

	/**
	 * コンストラクタ。
	 * @param expected 想定値
	 * @param actual 実際の値
	 */
	public AT4IEAssertException(String expected, String actual) {
		super("");
		this.expected = expected;
		this.actual = actual;
	}

	@Override
	public String getMessage() {
		return "Data unmatch.expected=" + this.expected + "/actual=" + this.actual;
	}

}
